Source: lomiri-dialer-app
Section: x11
Priority: optional
Maintainer: UBports Developers <devs@ubports.com>
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 dh-python,
 dh-migrations | hello,
 intltool,
 pkg-config,
 python3-all:any,
 qml-module-qt-labs-settings,
 qml-module-qtsysteminfo (>= 5.0~),
 qml-module-qtcontacts,
 qml-module-qttest,
 qml-module-lomiri-components,
 qml-module-lomiri-content,
 qml-module-lomiri-test,
 qml-module-lomiri-onlineaccounts,
 qml-module-ofono (>=0.117~) <!nocheck>,
 qtbase5-dev (>= 5.0),
 qtpim5-dev,
 qtdeclarative5-dev (>= 5.0),
 qtdeclarative5-dev-tools,
 qml-module-lomiri-addressbook,
 qml-module-lomiri-history | qml-module-lomiri-history0.1,
 qml-module-lomiri-telephony-phonenumber | qml-module-lomiri-telephony-phonenumber0.1,
 qml-module-lomiri-telephony | qml-module-lomiri-telephony0.1,
 xvfb,
 xauth,
Standards-Version: 3.9.4
Homepage: https://gitlab.com/ubports/development/core/lomiri-dialer-app
Vcs-Git: https://gitlab.com/ubports/development/core/lomiri-dialer-app.git
Vcs-Browser: https://gitlab.com/ubports/development/core/lomiri-dialer-app

Package: lomiri-dialer-app
Architecture: any
Depends:
 qml-module-qt-labs-settings,
 qml-module-qtcontacts,
 qml-module-qtsysteminfo (>= 5.0~),
 qml-module-lomiri-components,
 qml-module-lomiri-content,
 qml-module-lomiri-onlineaccounts,
 qml-module-lomiri-addressbook,
 qml-module-lomiri-history | qml-module-lomiri-history0.1,
 qml-module-lomiri-telephony-phonenumber | qml-module-lomiri-telephony-phonenumber0.1,
 qml-module-lomiri-telephony | qml-module-lomiri-telephony0.1,
 qml-module-ofono (>=0.117~),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 lomiri
Replaces: dialer-app (<< 1.1.0~)
Breaks: dialer-app (<< 1.1.0~)
Provides: dialer-app (=${binary:Version})
Description: Dialer application for Ubuntu Touch
 An application to make phone calls

Package: dialer-app
Depends: lomiri-dialer-app, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: lomiri-dialer-app-autopilot
Architecture: all
Section: debug
Depends:
 address-book-app-autopilot,
 autopilot-qt5,
 dbus,
 lomiri-dialer-app (>= ${binary:Version}),
 libqt5test5,
 libqt5widgets5,
 ofono-phonesim-autostart,
 ofono-scripts,
 python3-autopilot,
 python3-dbusmock,
 lomiri-ui-toolkit-autopilot,
 lomiri-url-dispatcher-testability,
 ${misc:Depends},
 ${python3:Depends},
Replaces: dialer-app-autopilot (<< 1.1.0~)
Breaks: dialer-app-autopilot (<< 1.1.0~)
Provides: dialer-app-autopilot (=${binary:Version})
Description: autopilot tests for lomiri-dialer-app
 This package contains the autopilot tests for lomiri-dialer-app.
 .
 These tests run against the ofono phone simulator (pulled in through
 ofono-phonesim-autostart).

Package: dialer-app-autopilot
Depends: lomiri-dialer-app-autopilot, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.
